# SoLineDetail Class Reference
[Detail classes]

`#include <Inventor/details/SoLineDetail.h>`

Inheritance diagram for SoLineDetail:

List of all members.

## Detailed Description

The SoLineDetail class is for storing detailed 3D line information.

Instances of this class are used among other things for storing information about lines after pick operations, and for storing information returned to tessellation callbacks.

See also:
  SoRayPickAction, SoPickedPoint, SoCallbackAction

## Public Member Functions

| SoLineDetail (void)
virtual | ~SoLineDetail ()
virtual SoDetail * | copy (void) const
const SoPointDetail * | getPoint0 (void) const
const SoPointDetail * | getPoint1 (void) const
int | getLineIndex (void) const
int | getPartIndex (void) const
void | setPoint0 (const SoPointDetail *const detail)
void | setPoint1 (const SoPointDetail *const detail)
void | setLineIndex (const int idx)
void | setPartIndex (const int idx)
void | incLineIndex (void)
void | incPartIndex (void)

## Static Public Member Functions

void | initClass (void)

## Constructor & Destructor Documentation

SoLineDetail::SoLineDetail | ( | void |  | ) |

| Default constructor sets up an empty, non-valid detail specification.

SoLineDetail::~SoLineDetail | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoLineDetail::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoDetail.

SoDetail * SoLineDetail::copy | ( | void |  | ) | const`[virtual]`

Return a deep copy of ourself.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable is using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SoDetail.

const SoPointDetail * SoLineDetail::getPoint0 | ( | void |  | ) | const

| Returns SoPointDetail describing the line start point.

const SoPointDetail * SoLineDetail::getPoint1 | ( | void |  | ) | const

| Returns SoPointDetail describing the line end point.

int SoLineDetail::getLineIndex | ( | void |  | ) | const

| Returns the index of this line within the lineset node it is part of.

int SoLineDetail::getPartIndex | ( | void |  | ) | const

| Returns the index of this line within the complex shape node it is part of.

void SoLineDetail::setPoint0 | ( | const SoPointDetail *const | detail | ) |

Stores information about line's start point. Used internally from library client code setting up a SoLineDetail instance.

See also:
  getPoint0()

void SoLineDetail::setPoint1 | ( | const SoPointDetail *const | detail | ) |

Stores information about line's end point. Used internally from library client code setting up a SoLineDetail instance.

See also:
  getPoint1()

void SoLineDetail::setLineIndex | ( | const int | idx | ) |

Used internally from library client code setting up a SoLineDetail instance.

See also:
  getLineIndex()

void SoLineDetail::setPartIndex | ( | const int | idx | ) |

Used internally from library client code setting up a SoLineDetail instance.

See also:
  getPartIndex()

void SoLineDetail::incLineIndex | ( | void |  | ) |

| Convenience method for library client code when setting up a SoLineDetail instance to use the line index as a counter.

void SoLineDetail::incPartIndex | ( | void |  | ) |

| Convenience method for library client code when setting up a SoLineDetail instance to use the part index as a counter.

The documentation for this class was generated from the following files:

- SoLineDetail.h
- SoLineDetail.cpp